# Class CIM_PeerGatewayForTunnel
extends CIM_Dependency

PeerGatewayForTunnel identifies an ordered list of security gateways to be used in negotiating and constructing a tunnel. A security gateway is simply a particular instance of RemoteServiceAccessPoint.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_PeerGatewayForTunnel

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | PeerGatewayForTunnel identifies an ordered list of security gateways to be used in negotiating and constructing a tunnel. A security gateway is simply a particular instance of RemoteServiceAccessPoint.
MappingStrings | string | IPSP Policy Model.IETF|PeerGatewayForTunnel
UMLPackagePath | string | CIM::IPsecPolicy
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
SequenceNumber | uint16 |
Description | string | SequenceNumber indicates the ordering to be used when selecting a PeerGateway instance for an IPsecTunnelAction. Lower values are evaluated first.
MappingStrings | string | IPSP Policy Model.IETF|PeerGatewayForTunnel.SequenceNumber

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_PeerGatewayForTunnel | CIM_RemoteServiceAccessPoint
Dependent | CIM_PeerGatewayForTunnel | CIM_IPsecTunnelAction

## Class Methods